QGIS Application - Bug report #11943

Column filter not useful if you are working with a document that have a lot of Columns with long
name

2015-01-04 09:29 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.6.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 20151
Description

Even if i use the Arrow Keys to navigate, the screen remains the same, making it impossible to see what i want to select

History

#1 - 2015-01-04 09:38 AM - Giovanni Manghi
- Category changed from Attribute table to GUI

#2 - 2015-01-05 01:56 PM - Matthias Kuhn

Do you have an idea of a good solution?

#3 - 2015-01-05 02:42 PM - baditaflorin -

I don’t know how the API, or the code is for this, but the simplest thing that i can think, kind of as a hack is would be to have a scroll menu to browse
between the data, and also a filter input box, where you can write the column that you are searching.

Something like the Jquery auto-complete http://jqueryui.com/autocomplete/

If i write "AB"

I will only see the 12 columns that start with AB or that contains the words AB

#4 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
